import { Repository } from "typeorm";
import { Payment } from "../../common/payment/payment.entity";
import { CreatePaymentDto } from "./payment.dto";
export declare class PaymentService {
    private paymentsRepository;
    constructor(paymentsRepository: Repository<Payment>);
    create(createPaymentDto: CreatePaymentDto): Promise<Payment>;
    findByUserId(userId: number): Promise<Payment[]>;
    findByShopId(shopId: number): Promise<Payment[]>;
    findByDriverId(driverId: number): Promise<any[]>;
    findOne(id: number): Promise<Payment>;
}
